Package org.apache.sling.scripting.sightly.compiler.commands

## Class Procedure.Call

- java.lang.Object
- - org.apache.sling.scripting.sightly.compiler.commands.Procedure.Call

All Implemented Interfaces:
  `Command`

Enclosing class:
  Procedure

    public static class Procedure.Call
    extends Object
    implements Command

### Constructor Summary

Constructors
`Call​(String templateVariable, String argumentsVariable)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `accept​(CommandVisitor visitor)` Accept a visitor.
`String` `getArgumentsVariable()`
`String` `getTemplateVariable()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Call

    public Call​(String templateVariable,
                String argumentsVariable)

### Method Detail

#### getTemplateVariable

    public String getTemplateVariable()

#### getArgumentsVariable

    public String getArgumentsVariable()

#### accept

    public void accept​(CommandVisitor visitor)

Description copied from interface: `Command`
Accept a visitor.

Specified by:
  `accept` in interface `Command`
Parameters:
  `visitor` - the visitor that will process this command